namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 岗位(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghra)]
public class Ghra_TitleController : BaseController<IGhra_TitleServices, Ghra_Title, Ghra_TitleDto, InsertGhra_TitleInput, EditGhra_TitleInput>
{
    public Ghra_TitleController(IGhra_TitleServices service) : base(service)
    {
    }

    #region 新增 
    [HttpPost("QuerySkillMatrix")]
    public async Task<dynamic> QuerySkillMatrix([FromBody] QueryBody filter)
    {
        return await _service.QuerySkillMatrix(filter);
    }
    #endregion 
}